Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.reflect
Class BoundedType<T extends java.lang.Number>

    java.lang.Object
      de.grogra.reflect.MemberBase
          de.grogra.reflect.TypeImpl<T>
              de.grogra.reflect.BoundedType<T>

All Implemented Interfaces:
  Member, Type<T>

    public class BoundedType<T extends java.lang.Number>

extends TypeImpl<T>

Field Summary
`static BoundedType<java.lang.Double>` | `DOUBLE_0_1`
`static BoundedType<java.lang.Float>` | `FLOAT_0_1`
`protected java.lang.Number` | `max`
`protected java.lang.Number` | `min`

Fields inherited from class de.grogra.reflect.TypeImpl
`typeId`

Fields inherited from class de.grogra.reflect.MemberBase
`annots, declaringType, descriptor, modifiers, name`

Fields inherited from interface de.grogra.reflect.Type
`BOOLEAN, BYTE, CHAR, CLASS, DOUBLE, FLOAT, FLOATING_POINT, INT, INTEGRAL, INVALID, LOCAL_CLASS_MODIFIERS, LONG, MEMBER_CLASS_MODIFIERS, MEMBER_INTERFACE_MODIFIERS, NULL, NUMBER, NUMERIC, OBJECT, SHORT, STRING, TEXTAREA, TOP_LEVEL_CLASS_MODIFIERS, TOP_LEVEL_INTERFACE_MODIFIERS, TYPE, TYPE_0, VOID`

Fields inherited from interface de.grogra.reflect.Member
`ABSTRACT, ACCESS_MODIFIERS, ARRAY, BRIDGE, CONSTANT, FINAL, INTERFACE, JAVA_MODIFIERS, LOCAL_CLASS, MIN_UNUSED_MODIFIER, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICT, SYNCHRONIZED, SYNTHETIC, TRANSIENT, VARARGS, VOLATILE`

Constructor Summary
`BoundedType(java.lang.String name, int typeId, java.lang.Number min, java.lang.Number max)`

Method Summary
`java.lang.String` | `getBinaryName()`
`java.lang.Number` | `getMax()`
`java.lang.Number` | `getMin()`

Methods inherited from class de.grogra.reflect.TypeImpl
`cloneObject, createArray, getArrayType, getComponentType, getDeclaredField, getDeclaredFieldCount, getDeclaredInterface, getDeclaredInterfaceCount, getDeclaredMethod, getDeclaredMethodCount, getDeclaredType, getDeclaredTypeCount, getDefaultElementValue, getImplementationClass, getLookup, getPackage, getSimpleName, getSupertype, getTypeId, getTypeLoader, isInstance, isStringSerializable, newInstance, toString, valueOf`

Methods inherited from class de.grogra.reflect.MemberBase
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.reflect.Member
`getDeclaredAnnotation, getDeclaredAnnotationCount, getDeclaringType, getDescriptor, getModifiers, getName`

Field Detail

### DOUBLE_0_1

    public static final BoundedType<java.lang.Double> DOUBLE_0_1

### FLOAT_0_1

    public static final BoundedType<java.lang.Float> FLOAT_0_1

### max

    protected final java.lang.Number max

### min

    protected final java.lang.Number min

Constructor Detail

### BoundedType

    public BoundedType(java.lang.String name,
                       int typeId,
                       java.lang.Number min,
                       java.lang.Number max)

Method Detail

### getBinaryName

    public java.lang.String getBinaryName()

  Specified by:
    `getBinaryName` in interface `Type<T extends java.lang.Number>`
  Overrides:
    `getBinaryName` in class `TypeImpl<T extends java.lang.Number>`

### getMax

    public java.lang.Number getMax()

### getMin

    public java.lang.Number getMin()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD